APIFlight

Delete a flight

Deprecated

POST
/flight/delete

Deprecated: This endpoint will be removed in the next major AirTrail release. Migrate to DELETE /api/v1/flights/{id}. Delete a flight by ID. A passenger requires flight.delete.own; deleting any flight requires flight.delete.any.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Settings -> Security and create a new API key. Use the generated key as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/flight/delete" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true}